using System;
using System.Collections.Generic;
using System.Text;
using HumanLikeBattleRobots.Logic;
using HumanLikeBattleRobots.Data;
using QuadEngine;

namespace HumanLikeBattleRobots.Graphic
{
    class CannonballSprite: Sprite
    {
        private float scale = 1;
        public float Height { set { scale = value; } }
        public CannonballSprite(int stage)
            : base(stage)
        {
            relativeCenterPosition = new Vec2f(5, 5);
            drawTexture = GraphicResources.CannonBallTexture;
        }

        public override void Draw()
        {
            QuadColor color = QuadColor.White;
            color = color.Lerp(QuadColor.Gray, (1-scale)*0.1);
            drawTexture.DrawRotAxis(this.DrawPosition - this.AxisPosition, this.angle, (3+scale)/3,
                this.DrawPosition, color);
        }

    }
}
